org.apache.fop.layoutmgr

## Class LayoutManagerMapping.LeaderLayoutManagerMaker

- java.lang.Object
- - org.apache.fop.layoutmgr.LayoutManagerMapping.Maker
  - - org.apache.fop.layoutmgr.LayoutManagerMapping.LeaderLayoutManagerMaker

- Enclosing class:
    LayoutManagerMapping

      public static class LayoutManagerMapping.LeaderLayoutManagerMaker
      extends LayoutManagerMapping.Maker

  a layout manager maker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeaderLayoutManagerMaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `make(FONode node, List lms, FOUserAgent userAgent)` Create a layout manager.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeaderLayoutManagerMaker

          public LeaderLayoutManagerMaker()

  - ### Method Detail

    - #### make

          public void make(FONode node,
                           List lms,
                           FOUserAgent userAgent)

      Create a layout manager.
      Overrides:
        `make` in class `LayoutManagerMapping.Maker`
      Parameters:
        `node` - the associated FO node
        `lms` - a list of layout managers to which new manager is to be added

Copyright © 2023 Apache Software Foundation. All rights reserved.